summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDiab Neiroukh2020-05-01 08:34:10 +0100
committerDiab Neiroukh2020-05-01 08:34:10 +0100
commitadc1722c030cdc0e8032f28afd49c4a716d41df6 (patch)
tree27c78271d065713980ae4ec2ef1456cd92f3c28d
parent3503d39b81c5bdeae7bf7191b791a9c1130acf55 (diff)
downloadaur-adc1722c030cdc0e8032f28afd49c4a716d41df6.tar.gz
🚀 RELEASE: Refactor PKGBUILD
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD16
2 files changed, 9 insertions, 11 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 25fa713b498..4b56d71a690 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = linux-zest-git
pkgver = 5.6
pkgrel = 1
- epoch = 4
+ epoch = 5
url = https://github.com/ZestProjects/linux
arch = i686
arch = x86_64
@@ -17,7 +17,7 @@ pkgbase = linux-zest-git
makedepends = python-sphinx_rtd_theme
makedepends = xmlto
options = !strip
- source = git+https://github.com/ZestProjects/linux.git
+ source = https://github.com/ZestProjects/linux/archive/fivesix.tar.gz
b2sums = SKIP
pkgname = linux-zest-git
diff --git a/PKGBUILD b/PKGBUILD
index cebc533762f..40c91166773 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -9,7 +9,7 @@ pkgname=(
)
pkgver=5.6
pkgrel=1
-epoch=4
+epoch=5
arch=(
"i686"
"x86_64"
@@ -34,7 +34,7 @@ options=(
"!strip"
)
source=(
- "git+$url.git"
+ "https://github.com/ZestProjects/linux/archive/fivesix.tar.gz"
)
b2sums=(
"SKIP"
@@ -45,10 +45,8 @@ prepare()
export LC_ALL=en_US.UTF-8
export PATH="/opt/proton-clang/bin:$PATH"
- cd "linux" || exit
+ cd "linux-fivesix" || exit
- git checkout fivesix
-
echo "Setting config..."
make AR="llvm-ar" CC="clang" HOSTAR="llvm-ar" HOSTCC="clang" HOSTCXX="clang++" HOSTLD="ld.lld" HOSTLDFLAGS="-fuse-ld=lld" LD="ld.lld" NM="llvm-nm" OBJCOPY="llvm-objcopy" OBJDUMP="llvm-objdump" OBJSIZE="llvm-size" STRIP="llvm-strip" zestop_defconfig
@@ -61,7 +59,7 @@ build()
export LC_ALL=en_US.UTF-8
export PATH="/opt/proton-clang/bin:$PATH"
- cd "linux" || exit
+ cd "linux-fivesix" || exit
make AR="llvm-ar" CC="clang" HOSTAR="llvm-ar" HOSTCC="clang" HOSTCXX="clang++" HOSTLD="ld.lld" HOSTLDFLAGS="-fuse-ld=lld" LD="ld.lld" NM="llvm-nm" OBJCOPY="llvm-objcopy" OBJDUMP="llvm-objdump" OBJSIZE="llvm-size" STRIP="llvm-strip" all
make AR="llvm-ar" CC="clang" HOSTAR="llvm-ar" HOSTCC="clang" HOSTCXX="clang++" HOSTLD="ld.lld" HOSTLDFLAGS="-fuse-ld=lld" LD="ld.lld" NM="llvm-nm" OBJCOPY="llvm-objcopy" OBJDUMP="llvm-objdump" OBJSIZE="llvm-size" STRIP="llvm-strip" htmldocs
@@ -89,7 +87,7 @@ _package()
export LC_ALL=en_US.UTF-8
export PATH="/opt/proton-clang/bin:$PATH"
- cd "linux" || exit
+ cd "linux-fivesix" || exit
local kernver="$(<version)"
local modulesdir="$pkgdir/usr/lib/modules/$kernver"
@@ -117,7 +115,7 @@ _package-headers()
export LC_ALL=en_US.UTF-8
- cd "linux" || exit
+ cd "linux-fivesix" || exit
local builddir="$pkgdir/usr/lib/modules/$(<version)/build"
@@ -212,7 +210,7 @@ _package-docs()
export LC_ALL=en_US.UTF-8
- cd "linux" || exit
+ cd "linux-fivesix" || exit
local builddir="$pkgdir/usr/lib/modules/$(<version)/build"